List event types
List all event types for the organization/environment.
GET
/event-types
List all event types for the organization/environment.
Authentication
API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)
Query Parameters
org_id
string
optional
query
Organization ID override
env_id
string
optional
query
Environment ID override
Responses
200
List of event types
application/jsonevent_types
object[]
REQUIRED
Array of:
id
string
REQUIRED
org_id
string
REQUIRED
env_id
string
REQUIRED
name
string
REQUIRED
description
string | null
REQUIRED
json_schema
string | null
REQUIRED
status
string
REQUIRED
created_at
string
REQUIRED
updated_at
string
REQUIRED
401
Unauthorized
curl -X GET 'https://hookstream.io/v1/event-types' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://hookstream.io/v1/event-types', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://hookstream.io/v1/event-types', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://hookstream.io/v1/event-types", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "event_types": [ { "id": "<string>", "org_id": "<string>", "env_id": "<string>", "name": "<string>", "description": "<string>", "json_schema": "<string>", "status": "<string>", "created_at": "<string>", "updated_at": "<string>" } ]}
API Playground
Try this endpoint
GET
/event-types